| USRP Hardware Driver and USRP Manual Version: 4.9.0.makepkg-0-g9ec1f582 UHD and USRP Manual |

Loading...
Searching...
No Matches
pybind_adaptors.hpp File Reference
`#include <pybind11/pybind11.h>`
`#include <pybind11/stl.h>`

Go to the source code of this file.

## Functions
std::vector< uint8_t > | pybytes_to_vector (const py::bytes &data)
py::bytes | vector_to_pybytes (const std::vector< uint8_t > &data)
std::vector< uint64_t > | pybytes_to_u64_vector (const py::bytes &data)
py::bytes | u64_vector_to_pybytes (const std::vector< uint64_t > &data)

## Function Documentation

## ◆ pybytes_to_u64_vector()

std::vector< uint64_t > pybytes_to_u64_vector | ( | const py::bytes & | data | ) |

## ◆ pybytes_to_vector()

std::vector< uint8_t > pybytes_to_vector | ( | const py::bytes & | data | ) |

## ◆ u64_vector_to_pybytes()

py::bytes u64_vector_to_pybytes | ( | const std::vector< uint64_t > & | data | ) |

## ◆ vector_to_pybytes()

py::bytes vector_to_pybytes | ( | const std::vector< uint8_t > & | data | ) |